metno: Use compat 2.0 API

Version 1.9, which we were using, was deprecated and will be removed soon,
so migrate to the compat XML output of the v2.0 API.

Closes: #65
1 job for wip/hadess/met-no-migration in 2 minutes and 52 seconds (queued for 1 second)
Status Job ID Name Coverage
  Test
passed #1082877
build-fedora

00:02:52